Up

# NSText

### Authors

Scott Christley (`scottc@net-community.com`)
Felipe A. Rodriguez (`far@ix.netcom.com`)
Daniel Bðhringer (`boehring@biomed.ruhr-uni-bochum.de`)
Fred Kiefer (`FredKiefer@gmx.de`)
Nicola Pero (`n.pero@mi.flashnet.it`)

> The RTFD text class

Copyright: (C) 1996 Free Software Foundation, Inc.

### Contents -

1. Software documentation for the NSText class
2. Software documentation for the NSObject(NSTextDelegate) informal protocol
3. Software documentation for the NSText(GNUstepExtensions) category

# Software documentation for the NSText class

## NSText : NSView

> Declared in:
>   AppKit/NSText.h

> Conforms to:
>   NSChangeSpelling
>   NSIgnoreMisspelledWords

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- -textLength
- -RTFDFromRange:
- -RTFFromRange:
- -alignCenter:
- -alignLeft:
- -alignRight:
- -alignment
- -backgroundColor
- -changeFont:
- -changeSpelling:
- -checkSpelling:
- -copy:
- -copyFont:
- -copyRuler:
- -cut:
- -delegate
- -delete:
- -drawsBackground
- -font
- -ignoreSpelling:
- -importsGraphics
- -isEditable
- -isFieldEditor
- -isHorizontallyResizable
- -isRichText
- -isRulerVisible
- -isSelectable
- -isVerticallyResizable
- -maxSize
- -minSize
- -paste:
- -pasteFont:
- -pasteRuler:
- -readRTFDFromFile:
- -replaceCharactersInRange:withAttributedString:
- -replaceCharactersInRange:withRTF:
- -replaceCharactersInRange:withRTFD:
- -replaceCharactersInRange:withString:
- -replaceRange:withRTF:
- -replaceRange:withRTFD:
- -replaceRange:withString:
- -scrollRangeToVisible:
- -selectAll:
- -selectedRange
- -setAlignment:
- -setBackgroundColor:
- -setColor:ofRange:
- -setDelegate:
- -setDrawsBackground:
- -setEditable:
- -setFieldEditor:
- -setFont:
- -setFont:ofRange:
- -setFont:range:
- -setHorizontallyResizable:
- -setImportsGraphics:
- -setMaxSize:
- -setMinSize:
- -setRichText:
- -setSelectable:
- -setSelectedRange:
- -setString:
- -setText:
- -setText:range:
- -setTextColor:
- -setTextColor:range:
- -setUsesFontPanel:
- -setVerticallyResizable:
- -showGuessPanel:
- -sizeToFit
- -string
- -subscript:
- -superscript:
- -text
- -textColor
- -toggleRuler:
- -underline:
- -unscript:
- -usesFontPanel
- -writeRTFDToFile:atomically:

### RTFDFromRange:

- (NSData*) RTFDFromRange: (NSRange)aRange;

Description forthcoming.

### RTFFromRange:

- (NSData*) RTFFromRange: (NSRange)aRange;

Description forthcoming.

### alignCenter:

- (void) alignCenter: (id)sender;

Description forthcoming.

### alignLeft:

- (void) alignLeft: (id)sender;

Description forthcoming.

### alignRight:

- (void) alignRight: (id)sender;

Description forthcoming.

### alignment

- (NSTextAlignment) alignment;

Description forthcoming.

### backgroundColor

- (NSColor*) backgroundColor;

Description forthcoming.

### changeFont:

- (void) changeFont: (id)sender;

Description forthcoming.

### changeSpelling:

- (void) changeSpelling: (id)sender;

Description forthcoming.

### checkSpelling:

- (void) checkSpelling: (id)sender;

Description forthcoming.

### copy:

- (void) copy: (id)sender;

Description forthcoming.

### copyFont:

- (void) copyFont: (id)sender;

Description forthcoming.

### copyRuler:

- (void) copyRuler: (id)sender;

Description forthcoming.

### cut:

- (void) cut: (id)sender;

Description forthcoming.

### delegate

- (id) delegate;

Description forthcoming.

### delete:

- (void) delete: (id)sender;

Description forthcoming.

### drawsBackground

- (BOOL) drawsBackground;

Description forthcoming.

### font

- (NSFont*) font;

Description forthcoming.

### ignoreSpelling:

- (void) ignoreSpelling: (id)sender;

Description forthcoming.

### importsGraphics

- (BOOL) importsGraphics;

Description forthcoming.

### isEditable

- (BOOL) isEditable;

Description forthcoming.

### isFieldEditor

- (BOOL) isFieldEditor;

Description forthcoming.

### isHorizontallyResizable

- (BOOL) isHorizontallyResizable;

Description forthcoming.

### isRichText

- (BOOL) isRichText;

Description forthcoming.

### isRulerVisible

- (BOOL) isRulerVisible;

Description forthcoming.

### isSelectable

- (BOOL) isSelectable;

Description forthcoming.

### isVerticallyResizable

- (BOOL) isVerticallyResizable;

Description forthcoming.

### maxSize

- (NSSize) maxSize;

Description forthcoming.

### minSize

- (NSSize) minSize;

Description forthcoming.

### paste:

- (void) paste: (id)sender;

Description forthcoming.

### pasteFont:

- (void) pasteFont: (id)sender;

Description forthcoming.

### pasteRuler:

- (void) pasteRuler: (id)sender;

Description forthcoming.

### readRTFDFromFile:

- (BOOL) readRTFDFromFile: (NSString*)path;

Description forthcoming.

### replaceCharactersInRange:withAttributedString:

- (void) replaceCharactersInRange: (NSRange)aRange withAttributedString: (NSAttributedString*)attrString;

Description forthcoming.

### replaceCharactersInRange:withRTF:

- (void) replaceCharactersInRange: (NSRange)aRange withRTF: (NSData*)rtfData;

Description forthcoming.

### replaceCharactersInRange:withRTFD:

- (void) replaceCharactersInRange: (NSRange)aRange withRTFD: (NSData*)rtfdData;

Description forthcoming.

### replaceCharactersInRange:withString:

- (void) replaceCharactersInRange: (NSRange)aRange withString: (NSString*)aString;

Description forthcoming.

### replaceRange:withRTF:

- (void) replaceRange: (NSRange)aRange withRTF: (NSData*)rtfData;

Description forthcoming.

### replaceRange:withRTFD:

- (void) replaceRange: (NSRange)aRange withRTFD: (NSData*)rtfdData;

Description forthcoming.

### replaceRange:withString:

- (void) replaceRange: (NSRange)aRange withString: (NSString*)aString;

Description forthcoming.

### scrollRangeToVisible:

- (void) scrollRangeToVisible: (NSRange)aRange;

Description forthcoming.

### selectAll:

- (void) selectAll: (id)sender;

Description forthcoming.

### selectedRange

- (NSRange) selectedRange;

Description forthcoming.

### setAlignment:

- (void) setAlignment: (NSTextAlignment)mode;

Description forthcoming.

### setBackgroundColor:

- (void) setBackgroundColor: (NSColor*)color;

Description forthcoming.

### setColor:ofRange:

- (void) setColor: (NSColor*)color ofRange: (NSRange)aRange;

Description forthcoming.

### setDelegate:

- (void) setDelegate: (id)anObject;

Description forthcoming.

### setDrawsBackground:

- (void) setDrawsBackground: (BOOL)flag;

Description forthcoming.

### setEditable:

- (void) setEditable: (BOOL)flag;

Description forthcoming.

### setFieldEditor:

- (void) setFieldEditor: (BOOL)flag;

Description forthcoming.

### setFont:

- (void) setFont: (NSFont*)font;

Description forthcoming.

### setFont:ofRange:

- (void) setFont: (NSFont*)font ofRange: (NSRange)aRange;

Description forthcoming.

### setFont:range:

- (void) setFont: (NSFont*)font range: (NSRange)aRange;

Description forthcoming.

### setHorizontallyResizable:

- (void) setHorizontallyResizable: (BOOL)flag;

Description forthcoming.

### setImportsGraphics:

- (void) setImportsGraphics: (BOOL)flag;

Description forthcoming.

### setMaxSize:

- (void) setMaxSize: (NSSize)newMaxSize;

Description forthcoming.

### setMinSize:

- (void) setMinSize: (NSSize)newMinSize;

Description forthcoming.

### setRichText:

- (void) setRichText: (BOOL)flag;

Description forthcoming.

### setSelectable:

- (void) setSelectable: (BOOL)flag;

Description forthcoming.

### setSelectedRange:

- (void) setSelectedRange: (NSRange)range;

Description forthcoming.

### setString:

- (void) setString: (NSString*)aString;

Description forthcoming.

### setText:

- (void) setText: (NSString*)aString;

Description forthcoming.

### setText:range:

- (void) setText: (NSString*)aString range: (NSRange)aRange;

Description forthcoming.

### setTextColor:

- (void) setTextColor: (NSColor*)color;

Description forthcoming.

### setTextColor:range:

- (void) setTextColor: (NSColor*)color range: (NSRange)aRange;

Description forthcoming.

### setUsesFontPanel:

- (void) setUsesFontPanel: (BOOL)flag;

Description forthcoming.

### setVerticallyResizable:

- (void) setVerticallyResizable: (BOOL)flag;

Description forthcoming.

### showGuessPanel:

- (void) showGuessPanel: (id)sender;

Description forthcoming.

### sizeToFit

- (void) sizeToFit;

Description forthcoming.

### string

- (NSString*) string;

Description forthcoming.

### subscript:

- (void) subscript: (id)sender;

Description forthcoming.

### superscript:

- (void) superscript: (id)sender;

Description forthcoming.

### text

- (NSString*) text;

Description forthcoming.

### textColor

- (NSColor*) textColor;

Description forthcoming.

### toggleRuler:

- (void) toggleRuler: (id)sender;

Description forthcoming.

### underline:

- (void) underline: (id)sender;

Description forthcoming.

### unscript:

- (void) unscript: (id)sender;

Description forthcoming.

### usesFontPanel

- (BOOL) usesFontPanel;

Description forthcoming.

### writeRTFDToFile:atomically:

- (BOOL) writeRTFDToFile: (NSString*)path atomically: (BOOL)flag;

Description forthcoming.

# Software documentation for the NSObject(NSTextDelegate) informal protocol

## NSObject(NSTextDelegate)

> Declared in:
>   AppKit/NSText.h

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- -textDidBeginEditing:
- -textDidChange:
- -textDidEndEditing:
- -textShouldBeginEditing:
- -textShouldEndEditing:

### textDidBeginEditing:

- (void) textDidBeginEditing: (NSNotification*)notification;

Description forthcoming.

### textDidChange:

- (void) textDidChange: (NSNotification*)notification;

Description forthcoming.

### textDidEndEditing:

- (void) textDidEndEditing: (NSNotification*)notification;

Description forthcoming.

### textShouldBeginEditing:

- (BOOL) textShouldBeginEditing: (NSText*)textObject;

Description forthcoming.

### textShouldEndEditing:

- (BOOL) textShouldEndEditing: (NSText*)textObject;

Description forthcoming.

# Software documentation for the NSText(GNUstepExtensions) category

## NSText(GNUstepExtensions)

> Declared in:
>   AppKit/NSText.h

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- -textLength

### textLength

- (unsigned) textLength;

Description forthcoming.

Up